Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: libusb-1.0.19 installeren?  (gelezen 419 keer)

Offline Jean

  • Lid
libusb-1.0.19 installeren?
« Gepost op: 2015/08/17, 17:11:41 »
Hoe moet ik libusb-1.0.19 installeren? Ik heb heb bestand opgeslagen in de map Downloads. Daarin heb ik een nieuwe map gemaakt en in die nieuwe map heb ik libusb-1.0.19 uitgepakt. Hoe moet ik dat nu verder aanpakken om dat geïnstalleerd te krijgen.
Hetzelfde moet ik doen met usb-modeswitch-2.2.5. Ook dat bestand heb ik uitgepakt in de nieuwe map en wil ik nu installeren. Ik heb al het een en het ander geprobeerd met de uitleg die in de README-bestanden staat, o.a. met make, make install en configere, maar dat levert niets bruikbaars op, alleen maar foutmeldingen.

Offline Vistaus

  • Webteam
    • vistaus
  • Steunpunt: Nee
Re: libusb-1.0.19 installeren?
« Reactie #1 Gepost op: 2015/08/17, 19:35:49 »
Wat voor foutmelding krijg je precies?

Offline Jean

  • Lid
Re: libusb-1.0.19 installeren?
« Reactie #2 Gepost op: 2015/08/17, 20:55:08 »
lubuntu@lubuntu:~$ make /Downloads/usbmodeswitch_uitgepakt/libusb-1.0.19
The program 'make' can be found in the following packages:
 * make
 * make-guile
Try: sudo apt-get install <selected package>
lubuntu@lubuntu:~$ sudo apt-get install /Downloads/usbmodeswitch_uitgepakt/lubusb-1.0.19
Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: Unable to locate package /Downloads/usbmodeswitch_uitgepakt

Als ik vervolgens het pad aanpas zoals het bovenaan in de filemanager staat , krijg ik:

lubuntu@lubuntu:~$ sudo apt-get install /home/lubuntu/Downloads/usbmodeswitch_uitgepakt/libusb-1.0.19
Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: Unable to locate package /home/lubuntu/Downloads/usbmodeswitch_uitgepakt
lubuntu@lubuntu:~$

Offline Vistaus

  • Webteam
    • vistaus
  • Steunpunt: Nee
Re: libusb-1.0.19 installeren?
« Reactie #3 Gepost op: 2015/08/17, 21:17:13 »
Je moet het pakket make installeren. Oftewel:

sudo apt-get install make

Offline Jean

  • Lid
Re: libusb-1.0.19 installeren?
« Reactie #4 Gepost op: 2015/08/19, 20:59:50 »
lubuntu@lubuntu:~$ sudo apt-get install make
E: Could not get lock /var/lib/dpkg/lock - open (11: Resource temporarily unavailable)
E: Unable to lock the administration directory (/var/lib/dpkg/), is another process using it?
lubuntu@lubuntu:~$

Offline Vistaus

  • Webteam
    • vistaus
  • Steunpunt: Nee
Re: libusb-1.0.19 installeren?
« Reactie #5 Gepost op: 2015/08/19, 21:18:15 »
Heb je iets als het Softwarecentrum openstaan? Probeer dat af te sluiten en anders een herstart van je computer en probeer het commando dan opnieuw.

Offline MauRice2

  • Lid
  • Steunpunt: Nee
Re: libusb-1.0.19 installeren?
« Reactie #6 Gepost op: 2015/08/19, 21:24:43 »
Jean,

LibUSB is niet zomaar een pakketje dat je 123(45) kan upgrade.
Het is een belangrijke bibliotheek van het Linux systeem.

Als je echt versie 1.0.19 nodig heb adviseer ik je *buntu 15.04 te installeren.
MvG,
MauRice
Registered Linux user: 473556

Offline Jean

  • Lid
Re: libusb-1.0.19 installeren?
« Reactie #7 Gepost op: 2015/08/20, 15:48:38 »
Vistaus,

Ik had een usb-modem in gebruik. Nu ik die heb afgesloten lukt het wel:

lubuntu@lubuntu:~$ sudo apt-get install make
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Suggested packages:
  make-doc
The following NEW packages will be installed:
  make
0 upgraded, 1 newly installed, 0 to remove and 244 not upgraded.
Need to get 0 B/148 kB of archives.
After this operation, 356 kB of additional disk space will be used.
Selecting previously unselected package make.
(Reading database ... 122909 files and directories currently installed.)
Preparing to unpack .../make-dfsg/make_4.0-8_amd64.deb ...
Unpacking make (4.0-8) ...
Processing triggers for man-db (2.7.0.2-2) ...
lubuntu@lubuntu:~$

Offline Jean

  • Lid
Re: libusb-1.0.19 installeren?
« Reactie #8 Gepost op: 2015/08/20, 15:52:49 »
MauRice2,

Dank voor de tip. Ik denk dat hiermee mijn problemen zijn opgelost. Ik heb nieuwe versies nodig van libusb en usb-modeswitch om een D-Link DWM-221 4G-modem te laten werken. Ik ga de nieuwe Lubuntu 15.04 downloaden en uitproberen.

Offline Jean

  • Lid
Re: libusb-1.0.19 installeren?
« Reactie #9 Gepost op: 2015/08/24, 16:37:52 »
Helaas, de problemen zijn niet opgelost met het installeren van Lubuntu 15.04.  Ik heb nu wel libusb-1.0.19, maar niet usb-modeswitch-2.2.5 en die heb ik nodig wil ik probleemloos met de D-Link DWM-221 kunnen werken. Ik ben terug overgeschakeld naar Lubuntu 14.10 en heb usb-modeswitch proberen te installeren, maar krijg de volgende foutmelding:

lubuntu@lubuntu:~$ cd tmp
lubuntu@lubuntu:~/tmp$ cd usb-modeswitch-2.2.5
lubuntu@lubuntu:~/tmp/usb-modeswitch-2.2.5$ sudo make install
sed 's_!/usr/bin/tclsh_!'"/usr/bin/jimsh"'_' < usb_modeswitch.tcl > usb_modeswitch_dispatcher
cc -o usb_modeswitch usb_modeswitch.c -Wall `pkg-config --libs --cflags libusb-1.0`
/bin/sh: 1: pkg-config: not found
/bin/sh: 1: cc: not found
Makefile:39: recipe for target 'usb_modeswitch' failed
make: *** [usb_modeswitch] Error 127
lubuntu@lubuntu:~/tmp/usb-modeswitch-2.2.5$

Iemand een idee wat die Error 127 betekent? Ik las ergens iets van een cross compiler, maar wat dat precies is, weet ik niet.

Offline Nero

  • Lid
  • Steunpunt: Ja
Re: libusb-1.0.19 installeren?
« Reactie #10 Gepost op: 2015/08/24, 17:12:26 »
Heb je per se usb-modeswitch-2.2.5 nodig? versie 2.2.0 zit standaard in 15.04 en 2.2.3 in 15.10. Hoef je niet te compilen.

Offline Jean

  • Lid
Re: libusb-1.0.19 installeren?
« Reactie #11 Gepost op: 2015/10/23, 21:19:33 »
usb-modeswitch-2.2.5 heb ik nodig om de D-Link DWM-221 usb-modem te laten werken. Oudere versies herkennen hem blijkbaar niet. Het probleem is omzeild door drie commando's in autostart te plaatsen:

sudo usb_modeswitch -v 2001 -p a401 -W -n -M 555342435b000000000000000001061e000000000000000000000000000000 -2 555342435c000000000000000001061b000000010000000000000000000000 -3 555342435d000000000000000001061b000000020000000000000000000000
lsusb | grep 7e19
sudo modprobe usbserial vendor=0x2001 product=0x7e19

Daarna kan ik de pincode ingeven en geraak ik via 4G op internet. Het is misschien geen goede manier van doen, maar het werkt.